Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.portlet.context
Class PortletTilesRequestContext

    java.lang.Object
      org.apache.tiles.context.TilesApplicationContextWrapper
          org.apache.tiles.portlet.context.PortletTilesRequestContext

All Implemented Interfaces:
  TilesRequestContext, TilesApplicationContext

    public class PortletTilesRequestContext

extends TilesApplicationContextWrapper
implements TilesRequestContext

Portlet-based TilesApplicationContext implementation.

Version:
  $Rev: 769961 $ $Date: 2009-04-30 00:07:34 +0200 (gio, 30 apr 2009) $

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` | `param` The lazily instantiated `Map` of request parameter name-value.
`protected java.util.Map<java.lang.String,java.lang.String[]>` | `paramValues` The lazily instantiated `Map` of request parameter name-values.
`protected javax.portlet.PortletRequest` | `request` The `PortletRequest` for this request.
`protected javax.portlet.PortletResponse` | `response` The `PortletResponse` for this request.

Constructor Summary
`PortletTilesRequestContext(javax.portlet.PortletContext context, javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)` Deprecated. Use `PortletTilesRequestContext(TilesApplicationContext, PortletContext, PortletRequest, PortletResponse)` .
`PortletTilesRequestContext(TilesApplicationContext applicationContext, javax.portlet.PortletContext context, javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)` Creates a new instance of PortletTilesRequestContext.

Method Summary
`void` | `dispatch(java.lang.String path)` Dispatches the request to a specified path.
`TilesApplicationContext` | `getApplicationContext()` Returns the associated application context.
`java.util.Map<java.lang.String,java.lang.String>` | `getHeader()` Return an immutable Map that maps header names to the first (or only) header value (as a String).
`java.util.Map<java.lang.String,java.lang.String[]>` | `getHeaderValues()` Return an immutable Map that maps header names to the set of all values specified in the request (as a String array).
`java.io.OutputStream` | `getOutputStream()` Returns an output stream to be used to write directly in the response.
`java.util.Map<java.lang.String,java.lang.String>` | `getParam()` Return an immutable Map that maps request parameter names to the first (or only) value (as a String).
`java.util.Map<java.lang.String,java.lang.String[]>` | `getParamValues()` Return an immutable Map that maps request parameter names to the set of all values (as a String array).
`java.io.PrintWriter` | `getPrintWriter()` Returns a print writer to be used to write directly in the response.
`javax.portlet.PortletRequest` | `getRequest()` Return the `PortletRequest` for this context.
`java.util.Locale` | `getRequestLocale()` Return the preferred Locale in which the client will accept content.
`java.lang.Object[]` | `getRequestObjects()` Returns the original request objects used to create this request.
`java.util.Map<java.lang.String,java.lang.Object>` | `getRequestScope()` Return a mutable Map that maps request scope attribute names to their values.
`javax.portlet.PortletResponse` | `getResponse()` Return the `PortletResponse` for this context.
`java.util.Map<java.lang.String,java.lang.Object>` | `getSessionScope()` Return a mutable Map that maps session scope attribute names to their values.
`java.io.Writer` | `getWriter()` Returns a writer to be used to write directly in the response.
`void` | `include(java.lang.String path)` Includes the response from the specified URL in the current response output.
`void` | `initialize(javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)` Initialize (or reinitialize) this `PortletTilesRequestContext` instance for the specified Portlet API objects.
`boolean` | `isResponseCommitted()` Checks if the response has been committed.
`boolean` | `isUserInRole(java.lang.String role)` Determine whether or not the specified user is in the given role.
`void` | `release()` Release references to allocated resources acquired in `initialize()` of via subsequent processing.
`void` | `setContentType(java.lang.String contentType)` Sets the content type when rendering the result.

Methods inherited from class org.apache.tiles.context.TilesApplicationContextWrapper
`getApplicationScope, getContext, getInitParams, getResource, getResources, getWrappedApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected javax.portlet.PortletRequest request

  The `PortletRequest` for this request.

### response

    protected javax.portlet.PortletResponse response

  The `PortletResponse` for this request.

### param

    protected java.util.Map<java.lang.String,java.lang.String> param

  The lazily instantiated `Map` of request parameter name-value.

### paramValues

    protected java.util.Map<java.lang.String,java.lang.String[]> paramValues

  The lazily instantiated `Map` of request parameter name-values.

Constructor Detail

### PortletTilesRequestContext

    public PortletTilesRequestContext(TilesApplicationContext applicationContext,
                                      javax.portlet.PortletContext context,
                                      javax.portlet.PortletRequest request,
                                      javax.portlet.PortletResponse response)

  Creates a new instance of PortletTilesRequestContext.

  Parameters:
    `applicationContext` - The Tiles application context.
    `context` - The portlet context to use.
    `request` - The request object to use.
    `response` - The response object to use.
  Since:
    2.1.1

### PortletTilesRequestContext

    @Deprecated
    public PortletTilesRequestContext(javax.portlet.PortletContext context,
                                                 javax.portlet.PortletRequest request,
                                                 javax.portlet.PortletResponse response)

  Deprecated. Use `PortletTilesRequestContext(TilesApplicationContext, PortletContext, PortletRequest, PortletResponse)` .

  Creates a new instance of PortletTilesRequestContext.

  Parameters:
    `context` - The portlet context to use.
    `request` - The request object to use.
    `response` - The response object to use.

Method Detail

### initialize

    public void initialize(javax.portlet.PortletRequest request,
                           javax.portlet.PortletResponse response)

  Initialize (or reinitialize) this `PortletTilesRequestContext` instance for the specified Portlet API objects.

  Parameters:
    `request` - The `PortletRequest` for this request
    `response` - The `PortletResponse` for this request

### release

    public void release()

  Release references to allocated resources acquired in `initialize()` of via subsequent processing. After this method is called, subsequent calls to any other method than `initialize()` will return undefined results.

### getRequest

    public javax.portlet.PortletRequest getRequest()

  Return the `PortletRequest` for this context.

  Specified by:
    `getRequest` in interface `TilesRequestContext`
  Returns:
    The used portlet request.

### getResponse

    public javax.portlet.PortletResponse getResponse()

  Return the `PortletResponse` for this context.

  Specified by:
    `getResponse` in interface `TilesRequestContext`
  Returns:
    The used portlet response.

### getHeader

    public java.util.Map<java.lang.String,java.lang.String> getHeader()

  Return an immutable Map that maps header names to the first (or only) header value (as a String).

  Specified by:
    `getHeader` in interface `TilesRequestContext`
  Returns:
    The header map.

### getHeaderValues

    public java.util.Map<java.lang.String,java.lang.String[]> getHeaderValues()

  Return an immutable Map that maps header names to the set of all values specified in the request (as a String array). Header names must be matched in a case-insensitive manner.

  Specified by:
    `getHeaderValues` in interface `TilesRequestContext`
  Returns:
    The header values map.

### getParam

    public java.util.Map<java.lang.String,java.lang.String> getParam()

  Return an immutable Map that maps request parameter names to the first (or only) value (as a String).

  Specified by:
    `getParam` in interface `TilesRequestContext`
  Returns:
    The parameter map.

### getParamValues

    public java.util.Map<java.lang.String,java.lang.String[]> getParamValues()

  Return an immutable Map that maps request parameter names to the set of all values (as a String array).

  Specified by:
    `getParamValues` in interface `TilesRequestContext`
  Returns:
    The parameter values map.

### getRequestScope

    public java.util.Map<java.lang.String,java.lang.Object> getRequestScope()

  Return a mutable Map that maps request scope attribute names to their values.

  Specified by:
    `getRequestScope` in interface `TilesRequestContext`
  Returns:
    The request scope map.

### getSessionScope

    public java.util.Map<java.lang.String,java.lang.Object> getSessionScope()

  Return a mutable Map that maps session scope attribute names to their values.

  Specified by:
    `getSessionScope` in interface `TilesRequestContext`
  Returns:
    The request scope map.

### getApplicationContext

    public TilesApplicationContext getApplicationContext()

  Returns the associated application context.

  Specified by:
    `getApplicationContext` in interface `TilesRequestContext`
  Returns:
    The application context associated to this request.

### dispatch

    public void dispatch(java.lang.String path)
                  throws java.io.IOException

  Dispatches the request to a specified path.

  Specified by:
    `dispatch` in interface `TilesRequestContext`
  Parameters:
    `path` - The path to dispatch to.
  Throws:
    `java.io.IOException` - If something goes wrong during dispatching.

### include

    public void include(java.lang.String path)
                 throws java.io.IOException

  Includes the response from the specified URL in the current response output.

  Specified by:
    `include` in interface `TilesRequestContext`
  Parameters:
    `path` - The path to include.
  Throws:
    `java.io.IOException` - If something goes wrong during inclusion.

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Returns an output stream to be used to write directly in the response.

  Specified by:
    `getOutputStream` in interface `TilesRequestContext`
  Returns:
    The output stream that writes in the response.
  Throws:
    `java.io.IOException` - If something goes wrong when getting the output stream.

### getPrintWriter

    public java.io.PrintWriter getPrintWriter()
                                       throws java.io.IOException

  Returns a print writer to be used to write directly in the response.

  Specified by:
    `getPrintWriter` in interface `TilesRequestContext`
  Returns:
    The print writer that writes in the response.
  Throws:
    `java.io.IOException` - If something goes wrong when getting the print writer.

### getWriter

    public java.io.Writer getWriter()
                             throws java.io.IOException

  Returns a writer to be used to write directly in the response.

  Specified by:
    `getWriter` in interface `TilesRequestContext`
  Returns:
    The writer that writes in the response.
  Throws:
    `java.io.IOException` - If something goes wrong when getting the writer.

### isResponseCommitted

    public boolean isResponseCommitted()

  Checks if the response has been committed.

  Specified by:
    `isResponseCommitted` in interface `TilesRequestContext`
  Returns:
    `true` only if the response has been committed.

### setContentType

    public void setContentType(java.lang.String contentType)

  Sets the content type when rendering the result.

  Specified by:
    `setContentType` in interface `TilesRequestContext`
  Parameters:
    `contentType` - The content type. It should follow the specifications from W3C about content types.

### getRequestObjects

    public java.lang.Object[] getRequestObjects()

  Returns the original request objects used to create this request.

  Specified by:
    `getRequestObjects` in interface `TilesRequestContext`
  Returns:
    The request objects.

### getRequestLocale

    public java.util.Locale getRequestLocale()

  Return the preferred Locale in which the client will accept content.

  Specified by:
    `getRequestLocale` in interface `TilesRequestContext`
  Returns:
    The current request locale. It is the locale of the request object itself and it is NOT the locale that the user wants to use. See `LocaleResolver` to implement strategies to resolve locales.

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Determine whether or not the specified user is in the given role.

  Specified by:
    `isUserInRole` in interface `TilesRequestContext`
  Parameters:
    `role` - the role to check against.
  Returns:
    `true` if the user is in the given role.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.